Subject: bug#28752: openvpn-client-service error

From: julien lepiller <[email-masked]>
Date: Tue, 10 Oct 2017 14:06:39 +0200

Le 2017-10-09 18:22, john herrlin a écrit :
> With some help from the wonderful people in #guix, IRC I managed to get
> this far.
> 
> ```
> git am <patch>
> guix environment guix
> ./bootstrap && ./configure --sysconfdir=/etc --localstatedir=/var
> make
> guix system vm config.scm    # failed on grub/efi
> guix system build config.scm  # succeeded
> ```
> 
> I dont know how to proceed further.
> 

So you could build your configuration, but it's not appropriate for a 
vm. I could test my patch using a variant of 
gnu/system/examples/vm-image.tmpl. It builds the system and starts it, 
but since there is no configured server, the vpn service cannot start. I 
will push the patch this evening.